﻿@using PatientCard.Models.DataModels
@model List<PatientCard.Models.VisitHistoryViewModel>

@{
    ViewBag.Title = "История посещений";
    var grid = new WebGrid(Model);
}

<!DOCTYPE html>

<html>
<head>
    <title>title</title>
    <script type="text/javascript" src="~/Scripts/tablesorter/jquery.tablesorter.combined.js"></script>
    <script type="text/javascript" src="~/Scripts/tablesorter/jquery.tablesorter.combined.min.js"></script>
    <link rel="stylesheet" href="/Content/theme.default.css">
</head>
<body>
    <div class="container">
        <br>
        <div class="col-md-12">
            <a href="@Url.Action("Patient")" class="btn btn-default">Назад</a>
        </div>
        <h2>История посещений</h2>
        <div id="dialogContent"></div>
        <div class="col-md-12">
            <a href="@Url.Action("VisitInfo", new {id = 0,patientId = ViewBag.PatientId})" class="btn btn-default btn-edit" data-url="@Url.RouteUrl("DefaultApi",new { httproute = "", controller = "VisitHistory", id = 0, patientId = ViewBag.PatientId})">Добавить</a>
        </div>
        <table Id="MainGrid" class="table table-striped table-hover tablesorter">
            <thead>
                <tr>
                    <th>Дата посещения</th>
                    <th>Специалист</th>
                    <th>ФИО Доктора</th>
                    <th>Диагноз</th>
                    <th>Жалобы</th>
                    <th data-sorter="false"></th>
                    <th data-sorter="false"></th>
                </tr>
            </thead>
            <tbody></tbody>
        </table>
    </div>
</body>
</html>

@section scripts
{
    <script src="~/Scripts/js/patients.js"></script>
    <script type="text/javascript">
        GetPatientVisitHistory();

        function GetPatientVisitHistory() {
            $('#MainGrid').find('tbody').html('');
            $.ajax({
                url: '/api/VisitHistory?patientId=@ViewBag.PatientId',
                type: 'GET',
                dataType: 'json',
                success: function (data) {
                    data.map(function (item) {
                        var params = GetSortParameters(window.location.href);
                        switch (params["sortdir"]) {
                            case "ASC":
                                data = sortByKeyAsc(data, params["sort"]);
                                break;
                            case "DESC":
                                data = sortByKeyDesc(data, params["sort"]);
                                break;
                        }
                        var row = "<tr>";
                        row += '<td>' + new Date(item.VisitDate).toLocaleDateString() + "</td>";
                        row += '<td>' + item.DoctorTypeName + "</td>";
                        row += "<td>" + item.FIO + "</td>";
                        row += "<td>" + item.Diagnosis + "</td>";
                        row += "<td>" + item.Complaints + "</td>";
                        row += "<td>" +
                            ' @Html.ActionLink("Редактировать", "VisitInfo", new {id = "replaceValue", patientId = ViewBag.PatientId }, new {@class = "btn btn-default btn-edit", data_url = Url.RouteUrl("VisitHistoryDetails", new { httproute = "", controller = "VisitHistory", id = "replaceValue", patientId = ViewBag.PatientId}) })' +
                            "</td>";
                        row += "<td>" +
                            '@Html.RouteLink("Удалить", "DefaultApi", new { httproute = "", controller = "VisitHistory", id = "replaceValue" }, new { @class = "btn btn-default btn-delete" })' +
                            "</td>";
                        row += "</tr>";
                        $('#MainGrid').find('tbody').append(row.replace(/replaceValue/g, item.Id));
                    });
                    $("#MainGrid").tablesorter();
                },
                error: function (x, y, z) {
                    alert(x + '\n' + y + '\n' + z);
                }
            });
        }
    </script>
}